Loading...
Searching...
No Matches
ownership.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::LocalFrameDeleter
class | jni::DefaultRefDeleter< DeleteRef >
class | jni::StringCharsDeleter
class | jni::StringUTFCharsDeleter
class | jni::StringCriticalDeleter
class | jni::ArrayElementsDeleter< E >
class | jni::PrimitiveArrayCriticalDeleter< E >
class | jni::MonitorDeleter
class | jni::JNIEnvDeleter

## Namespaces

namespace | jni

## Typedefs

using | jni::UniqueLocalFrame = std::unique_ptr< JNIEnv, LocalFrameDeleter >
using | jni::RefDeletionMethod = void (JNIEnv::*)(::jobject)
template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>
using | jni::UniqueGlobalRef = std::unique_ptr< T, Deleter<&JNIEnv::DeleteGlobalRef> >
template<class T, template< RefDeletionMethod > class Deleter = DefaultRefDeleter>
using | jni::UniqueWeakGlobalRef = std::unique_ptr< T, Deleter<&JNIEnv::DeleteWeakGlobalRef> >
template<class T>
using | jni::UniqueLocalRef = std::unique_ptr< T, DefaultRefDeleter<&JNIEnv::DeleteLocalRef> >
using | jni::UniqueStringChars = std::unique_ptr< const char16_t, StringCharsDeleter >
using | jni::UniqueStringUTFChars = std::unique_ptr< const char, StringUTFCharsDeleter >
using | jni::UniqueStringCritical = std::unique_ptr< const char16_t, StringCriticalDeleter >
template<class E>
using | jni::UniqueArrayElements = std::unique_ptr< E, ArrayElementsDeleter<E> >
template<class E>
using | jni::UniquePrimitiveArrayCritical = std::unique_ptr< void, PrimitiveArrayCriticalDeleter<E> >
using | jni::UniqueMonitor = std::unique_ptr< jobject, MonitorDeleter >
using | jni::UniqueEnv = std::unique_ptr< JNIEnv, JNIEnvDeleter >